package {
	import flash.display.Sprite;
	import tools.XmlLoader;
	import flash.events.Event;
	import tools.Parser;
	import visual.Screen

	public class TileGame extends Sprite{
		
		private var _xmlLoader:XmlLoader;
		private var _xmlData:XML;
		private var _screenParser:Parser;
		private var _screenArray:Array;
		private var _screen:Screen;
		
		
		public function TileGame(){
			try{
			_xmlLoader = new XmlLoader("http://www.avgil.com/as3/tilegame/screen1.xml");
			} catch(e:Error){
				trace("couldn't load XML file")
			}
			// wait till the XmlLoader will finish loading the data 
			_xmlLoader.addEventListener(Event.COMPLETE,onXmlReady);			
		}
		
		private function onXmlReady(event:Event):void{
			//recieve the XML data from the event
			_xmlData = XmlLoader(event.target).xml as XML;
			//parse and build a screen from parsed data
			_screenParser = new Parser(_xmlData);
			_screenArray = _screenParser.rows;
			_screen = new Screen(_screenArray);
			_screen.x = 50;
			_screen.y = 50;
			addChild(_screen);
		}
	}
}
